Skip to main content
Resource Center/Network Resource/OSPF Operations

UpdateVRouterOspfArea

UpdateVRouterOspfArea

PUT/zstack/v1/routerArea/{uuid}/actions

Operation ID

UpdateVRouterOspfArea

Since

3.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • areaAuth
    String

    Optional. The area authentication mode.

  • areaType
    String

    Optional. The area type.

  • password
    String

    Optional. The password that is used for area authentication.

  • keyId
    Integer

    Optional. The key ID that is used for area authentication.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    RouterAreaInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • areaId
      StringRequired

      The area ID.

    • type
      StringRequired

      The resource type.

    • authentication
      StringRequired

      The authentication.

    • password
      StringRequired

      The password.

    • keyId
      IntegerRequired

      The key ID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.